Subject: Re: git send-email does not work with Google anymore?!

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 06 Oct 2017 18:13:59 +0200

On Thu, Oct 05 2017, Lars Schneider jotted:

> Hi,
>
> I used to use the Google SMTP server to send my patches to the list with
> the following config:
>
>     [sendemail]
>         smtpencryption = tls
>         smtpserver = smtp.gmail.com
>         smtpuser = [email-masked]
>         smtpserverport = 587
>         from = [email-masked]
>         chainreplyto = false
>         suppresscc = self
>
> Apparently that stopped working today. I get this error:
>
>     (mbox) Adding cc: Lars Schneider <[email-masked]> from line 'From: Lars Schneider <[email-masked]>'
>     Password for 'smtp://[email-masked]@smtp.gmail.com:587':
>     5.7.14 <https://accounts.google.com/signin/continue?...token...
>     5.7.14 ...> Please log in via your web browser and
>     5.7.14 then try again.
>     5.7.14  Learn more at
>     5.7.14  https://support.google.com/mail/answer/78754 ... - gsmtp
>
> Of couse I tried to log in via web browser etc. Does anyone else use
> Google as SMTP server? If yes, does it work for you?

It still works for me. Just sent myself an E-Mail now via
git-send-email.

    Password for 'smtp://[email-masked]@smtp.gmail.com:465':
    OK. Log says:
    Server: smtp.gmail.com
    [...]
    Result: 250

My settings are:

    [sendemail]
            smtpserver = smtp.gmail.com
            smtpEncryption = ssl
            smtpuser = [email-masked]
            confirm = always

And my https://myaccount.google.com/apppasswords lists an app
password.

If you see this E-Mail from me that means my local Exim instance (which
also has an app password) is able to send E-Mail as well.

I have 2fa turned on on my Google account, I just have these app
passwords for GMail.